#ifndef OCEANSHADER_H
#define OCEANSHADER_H

#include <Inventor/nodes/SoShaderProgram.h>

class SbVec2f;
class SbVec4f;
class SoVertexShader;
class SoFragmentShader;

class OceanShader : public SoShaderProgram {
public:
  OceanShader(SbVec2f scales);
  
  void setCorners(SbVec4f c[4]);

private:
  SoVertexShader * vert;
  SoFragmentShader * frag;

  ~OceanShader();
};

#endif
