#ifndef CAMERA_H
#define CAMERA_H

struct Vec3f {
  Vec3f();
  Vec3f(float x, float y, float z);

  Vec3f operator+(const Vec3f& p);
  Vec3f operator*(const float& f);

  float x, y, z;
};

struct Camera {
  Camera();

  void view();
  void update();
  void input(int key);

  Vec3f pos;
  float angle, spin;
  float speed, strafe, elevate;
  float fovy, aspect, zNear, zFar;
  float friction, spin_sensitivity, speed_sensitivity;
};

#endif
