#ifndef RIPPLES_H
#define RIPLLES_H

class Solver {
public:
  float friction, g_spring, n_spring;

  Solver(int width, int height);
  ~Solver();

  void render();
  void update();

  void impulse(int x, int y, float f, int t);

private:
  int N, M, *t;
  float *p, *v, *a;
};

#endif
