uniform sampler2D sampler;

const float amp = 1.5;

varying vec3 view;

void main()
{
  gl_Position = gl_Vertex;
  gl_Position.z += amp * (texture2D(sampler, gl_MultiTexCoord0.st)[0] - 0.5);
  
  view = normalize((gl_ModelViewMatrix * gl_Position).xyz);
  
  gl_Position = gl_ModelViewProjectionMatrix * gl_Position;
  
  gl_TexCoord[0] = gl_MultiTexCoord0;
}
