uniform vec4 p, q, r, s;

#define x gl_Vertex.x
#define y gl_Vertex.y

/*
  Perform bilinear interpolation between the four given points,
  using gl_Vertex.xy as the interpolant.
*/
void main()
{
  gl_Position = p * (1.0 - x) * (1.0 - y) + q * x * (1.0 - y) + s * (1.0 - x) * y + r * x * y;
  gl_Position = gl_ModelViewProjectionMatrix * gl_Position;
}
