uniform sampler2D displacement1;
uniform sampler2D displacement2;

const float amp = 2.5;

varying vec3 view;

void main()
{
  gl_Position = gl_Vertex;
  gl_Position.z += amp * (texture2D(displacement1, gl_MultiTexCoord0.st)[0] - 0.5);
  gl_Position.z += texture2D(displacement2, gl_MultiTexCoord0.st)[0];
  
  view = normalize((gl_ModelViewMatrix * gl_Position).xyz);
  
  gl_Position = gl_ModelViewProjectionMatrix * gl_Position;
  
  gl_TexCoord[0] = gl_MultiTexCoord0;
}
