#ifndef GRID_H
#define GRID_H

#include <Inventor/SbLinear.h>
#include <Inventor/nodes/SoCoordinate3.h>
#include <Inventor/nodes/SoGroup.h>

/*
  A regular grid (triangle strips) of size[0] * size[1] vertices
  with coordinates in the range [range[0] .. range[1], range[0] .. range[1], 0]
*/
class Grid : public SoGroup {
public:
  Grid(SbVec2s size, SbVec2f range);

  SbVec2s size;
  SoCoordinate3 * coords;
};

#endif
