#ifndef SHADER_H
#define SHADER_H

#include <Inventor/nodes/SoShaderProgram.h>

class SbVec2f;
class SoVertexShader;
class SoFragmentShader;

class Shader : public SoShaderProgram {
public:
  Shader();
  void setScales(SbVec2f scales);

private:
  ~Shader();

  SoVertexShader * vert;
  SoFragmentShader * frag;
};

#endif
